<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="" content="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="style.css">
    <title>Document</title>
</head>
<body>
    
    <div id="board"></div>
    <script>

        function shuffleChildren(parent){
            let i = parent.children.length , k, temp; 
            while(--i>0){ // tant que i est supérieur à 0
                // k stock un nombre aléatoire entre 0 et i
                k = Math.floor(Math.random() * (i+1));
                // temp pointe temporaiement sur le noeud d'index k
                temp = parent.children[k];
                // remplace le noeud d'index k par le noeud d'index i
                parent.children[k] = parent.children[i];
                // placer l'élement k pointé temporairement à la fin du contenu de board
                parent.appendChild(temp);
            }
        }

        function showReaction(type, clickedBox){
            clickedBox.classList.add(type);
            if(type !== "Success"){
                setTimeout(function(){
                    clickedBox.classList.remove(type);
                }, 800);
            }
        }

        let nb = 1;

        const box = document.createElement("div");
        box.classList.add("box");

        const board = document.querySelector("#board");

        for(let i = 1 ; i <= 10 ; i++){
            let newBox = box.cloneNode();
            newBox.innerText = i;
            board.appendChild(newBox);

            newBox.addEventListener("click", function(){
                
                if(nb == i){
                    newBox.classList.add("Box-Valid");
                    if(nb ==(board.children.length+1)){
                        board.querySelectorAll(".box").forEach(function(box){
                        showReaction("Success", box);
                        });
                    }
                    nb++;
                    
                    }
                
                else if(i>nb){
                    showReaction("erreur", newBox);
                    nb=1;
                    board.querySelectorAll(".Box-Valid").forEach(function(validBox){
                        validBox.classList.remove("Box-Valid");
                    });
                }
                else{
                    showReaction("notice", newBox);
                }
            });

        }

        shuffleChildren(board);




    </script>
</body>
</html>